%define class Net
%define subclass Whois-Raw
%define version 0.23
%define release 1

# Derived values
%define module  %{class}-%{subclass}
%define name    perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: 	Perl module %{class}::%{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/search?dist=%{module}
BuildRequires:	perl
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-build-%(id -nu)/
Requires: 	perl = %{perlver}
Provides:       %{module} = %{version}

%description
Perl module which implements the %{class}::%{subclass} class.  

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{module}-%{version}

%files
%defattr(-,root,root)
%doc COPYRIGHT Changes README
%{_prefix}

%changelog
* Fri Apr 25 2003 Michael McLagan <Michael.McLagan@linux.org>
- update version 0.23

* Fri Apr 19 2002 Michael McLagan <Michael.McLagan@linux.org>
- update version 0.20

* Fri Aug 17 2001 Michael McLagan <Michael.McLagan@linux.org>
- Initial build 0.14
